Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Equation

    |
    +--biouml.model.dynamics.EModelRoleSupport
      |
      +--biouml.model.dynamics.Equation

public class Equation
extends EModelRoleSupport
implements ExpressionOwner

pending replace formula by ru.biosoft.math.model.Expresson

Field Summary
`final static String` | `TYPE_ALGEBRAIC`
`final static String` | `TYPE_CONST`
`final static String` | `TYPE_INTERNAL`
`final static String` | `TYPE_RATE`
`final static String` | `TYPE_SCALAR`
`final static String` | `TYPE_SCALAR_ALGEBRAIC`
`final static String` | `TYPE_SCALAR_CONDITIONAL`
`final static String` | `TYPE_SCALAR_INTERNAL`

Constructor Summary
`Equation(DiagramElement de, String type, String variable)`
`Equation(DiagramElement de, String type, String variable, String formula)`

Method Summary
`Role` | `clone(DiagramElement de)` Creates equation copy and assitiate it with specified diagram element.
`String[]` | `getExpressions()`
`String` | `getFormula()`
`EModelRole` | `getRole()`
`String` | `getType()`
`String` | `getUnits()`
`String` | `getVariable()`
`boolean` | `hasDelegate()`
`boolean` | `isExpression(String propertyName)`
`final static boolean` | `isInternal(String type)`
`final static boolean` | `isScalar(String type)`
`void` | `setFormula(String formula)`
`void` | `setUnits(String units)`
`String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`getComment, getDiagramElement, setComment`

Field Detail

### TYPE_ALGEBRAIC

    public final static String TYPE_ALGEBRAIC

### TYPE_CONST

    public final static String TYPE_CONST

### TYPE_INTERNAL

    public final static String TYPE_INTERNAL

### TYPE_RATE

    public final static String TYPE_RATE

### TYPE_SCALAR

    public final static String TYPE_SCALAR

### TYPE_SCALAR_ALGEBRAIC

    public final static String TYPE_SCALAR_ALGEBRAIC

### TYPE_SCALAR_CONDITIONAL

    public final static String TYPE_SCALAR_CONDITIONAL

### TYPE_SCALAR_INTERNAL

    public final static String TYPE_SCALAR_INTERNAL

Constructor Detail

### Equation

    public Equation(DiagramElement de, String type, String variable)

### Equation

    public Equation(DiagramElement de, String type, String variable, String formula)

Method Detail

### clone

    public Role clone(DiagramElement de)

  Creates equation copy and assitiate it with specified diagram element.

### getExpressions

    public String[] getExpressions()

### getFormula

    public String getFormula()

### getRole

    public EModelRole getRole()

### getType

    public String getType()

### getUnits

    public String getUnits()

### getVariable

    public String getVariable()

### hasDelegate

    public boolean hasDelegate()

### isExpression

    public boolean isExpression(String propertyName)

### isInternal

    public final static boolean isInternal(String type)

### isScalar

    public final static boolean isScalar(String type)

### setFormula

    public void setFormula(String formula)

### setUnits

    public void setUnits(String units)

### toString

    public String toString()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM